// Copyright (C) 2008, 2009 by Florent Lamiraux, Thomas Moulard, CNRS.
//
// This file is part of the hpp-walkfootplanner.
//
// This software is provided "as is" without warranty of any kind,
// either expressed or implied, including but not limited to the
// implied warranties of fitness for a particular purpose.
//
// See the COPYING file for more information.

/// \brief Forward declarations.

#ifndef HPPWALKFOOTPLANNER_FWD_HH
# define HPPWALKFOOTPLANNER_FWD_HH
# include <boost/numeric/ublas/fwd.hpp>
# include <KineoUtility/kitDefine.h>

KIT_PREDEF_CLASS (CkppKCDBox);
KIT_PREDEF_CLASS (CkwsPlusDirectPath);


namespace hpp
{
  namespace walkFootPlanner
  {
    KIT_PREDEF_CLASS (SplineDirectPath);
    KIT_PREDEF_CLASS (RobOptimOptimizer);

    class Planner;
    class FootStepSequence;
    class MinimizeTime;
    class SplineDirectPath;
  } // end of namespace walkFootPlanner.
} // end of namespace hpp.

// For reverse compatibility.
typedef hpp::walkFootPlanner::Planner ChppWalkFootPlanner;

#endif //! HPPWALKFOOTPLANNER_FWD_HH
