// Copyright (C) 2009 by Florent Lamiraux, Thomas Moulard, CNRS.
//
// This file is part of the hppWalkFootPlanner.
//
// hppWalkFootPlanner is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// hppWalkFootPlanner is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with hppWalkFootPlanner.  If not, see <http://www.gnu.org/licenses/>.

#ifndef HPPWALKFOOTPLANNER_PLANNER_TEST_HH
# define HPPWALKFOOTPLANNER_PLANNER_TEST_HH
# include <hpp/model/fwd.hh>
# include <hpp/walkfootplanner/fwd.hh>

class PlannerTest
{
public:
  int getKineoLicense ();
  int createEnvAndRobot ();
  int computeDistance (double inX, double inY, double inTheta);
  int testDistanceComputation ();

private:
  hpp::model::DeviceShPtr box_;
  hpp::model::BodyShPtr body_;
};

#endif //! HPPWALKFOOTPLANNER_PLANNER_TEST_HH
